// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package org.intellij.plugins.markdown;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public final class MarkdownIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, MarkdownIcons.class.getClassLoader(), cacheKey, flags);
  }
  private static @NotNull Icon load(@NotNull String path, @NotNull String expUIPath, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, expUIPath, MarkdownIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class EditorActions {
    /** 16x16 */ public static final @NotNull Icon AddColumnLeft = load("icons/editor_actions/addColumnLeft.svg", "icons/expui/editorActions/addColumnLeft.svg", 1600544429, 2);
    /** 16x16 */ public static final @NotNull Icon AddColumnRight = load("icons/editor_actions/addColumnRight.svg", "icons/expui/editorActions/addColumnRight.svg", -928503198, 2);
    /** 16x16 */ public static final @NotNull Icon AddRowAbove = load("icons/editor_actions/addRowAbove.svg", "icons/expui/editorActions/addRowAbove.svg", -1135327274, 2);
    /** 16x16 */ public static final @NotNull Icon AddRowBelow = load("icons/editor_actions/addRowBelow.svg", "icons/expui/editorActions/addRowBelow.svg", -144109156, 2);
    /** 16x16 */ public static final @NotNull Icon Bold = load("icons/editor_actions/Bold.svg", "icons/expui/editorActions/bold.svg", 1113796502, 2);
    /** 16x16 */ public static final @NotNull Icon BulletList = load("icons/editor_actions/bulletList.svg", "icons/expui/editorActions/bulletList.svg", -237954291, 2);
    /** 16x16 */ public static final @NotNull Icon CenterAlign = load("icons/editor_actions/centerAlign.svg", "icons/expui/editorActions/centerAlign.svg", 669294033, 2);
    /** 16x16 */ public static final @NotNull Icon CheckmarkList = load("icons/editor_actions/checkmarkList.svg", "icons/expui/editorActions/checkmarkList.svg", 470139305, 2);
    /** 16x16 */ public static final @NotNull Icon Code_span = load("icons/editor_actions/Code_span.svg", "icons/expui/editorActions/codeSpan.svg", 368492179, 2);
    /** 16x16 */ public static final @NotNull Icon Header_level_down = load("icons/editor_actions/Header_level_down.svg", "icons/expui/editorActions/headerLevelDown.svg", -1433728030, 2);
    /** 16x16 */ public static final @NotNull Icon Header_level_up = load("icons/editor_actions/Header_level_up.svg", "icons/expui/editorActions/headerLevelUp.svg", -524853215, 2);
    /** 16x16 */ public static final @NotNull Icon Italic = load("icons/editor_actions/Italic.svg", "icons/expui/editorActions/italic.svg", -1040589874, 2);
    /** 16x16 */ public static final @NotNull Icon LeftAlign = load("icons/editor_actions/leftAlign.svg", "icons/expui/editorActions/leftAlign.svg", -194323511, 2);
    /** 16x16 */ public static final @NotNull Icon Link = load("icons/editor_actions/Link.svg", "icons/expui/editorActions/link.svg", -861207690, 2);
    /** 16x16 */ public static final @NotNull Icon NumberedList = load("icons/editor_actions/numberedList.svg", "icons/expui/editorActions/numberedList.svg", -311192714, 2);
    /** 16x16 */ public static final @NotNull Icon RightAlign = load("icons/editor_actions/rightAlign.svg", "icons/expui/editorActions/rightAlign.svg", 884734930, 2);
    /** 16x16 */ public static final @NotNull Icon Strike_through = load("icons/editor_actions/Strike_through.svg", "icons/expui/editorActions/strikeThrough.svg", 438972438, 2);
    /** 16x16 */ public static final @NotNull Icon Table = load("icons/editor_actions/table.svg", "icons/expui/editorActions/table.svg", -231839910, 2);
  }

  /** 12x12 */ public static final @NotNull Icon ImageGutter = load("icons/imageGutter.svg", 2010654469, 2);
  /** 16x16 */ public static final @NotNull Icon MarkdownPlugin = load("icons/MarkdownPlugin.svg", "icons/expui/markdown.svg", -1740905249, 0);
}
